Skip to main content
GET
/
api
/
v1
/
deployments
/
{deploymentId}
/
policies
List policies
curl --request GET \
  --url https://semgrep.dev/api/v1/deployments/{deploymentId}/policies \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://semgrep.dev/api/v1/deployments/{deploymentId}/policies"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://semgrep.dev/api/v1/deployments/{deploymentId}/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "policies": [
    {
      "id": "1",
      "isDefault": true,
      "name": "Global Policy",
      "productType": "PRODUCT_TYPE_SAST",
      "slug": "global_policy"
    },
    {
      "id": "2",
      "isDefault": false,
      "name": "Semgrep test",
      "productType": "PRODUCT_TYPE_SAST",
      "slug": "semgrep_test"
    },
    {
      "id": "3",
      "isDefault": true,
      "name": "Global Secrets Policy",
      "productType": "PRODUCT_TYPE_SECRETS",
      "slug": "global_secrets_policy"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<uint64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

Response

200 - application/json

OK

policies
Policy · object[]

List of Policies associated with the given Deployment.

Example:
[
{
"id": "1",
"isDefault": true,
"name": "Global Policy",
"productType": "PRODUCT_TYPE_SAST",
"slug": "global_policy"
},
{
"id": "2",
"isDefault": false,
"name": "Semgrep test",
"productType": "PRODUCT_TYPE_SAST",
"slug": "semgrep_test"
},
{
"id": "3",
"isDefault": true,
"name": "Global Secrets Policy",
"productType": "PRODUCT_TYPE_SECRETS",
"slug": "global_secrets_policy"
}
]